
/* ========================================================== Dark-Mode CSS ==========================================================*/

body.dark-mode .darkMode {
    display: inline;
}

body.dark-mode img:not(.darkMode) {
    display: none;
}
.dark-mode header ul.navbar-nav .mega-menu li a img{
	width: 30px;
}
.dark-mode .darkMode{
	display: block !important;
}
.darkMode{
	display: none !important;
}
.dark-mode .lightMode{
	display: none !important;
}

body.dark-mode .darkMode{
	display: block !important;
}
body.dark-mode .lightMode{
	display: none !important;
}
.dark-mode .banner-section, .dark-mode {
	background: #111827 !important;
}
.dark-mode header .navbar button:before{
	        background: linear-gradient(to bottom, #ffffff, #ffffff 20%, transparent 20%, transparent 40%, #ffffff 40%, #ffffff 60%, transparent 60%, transparent 80%, #ffffff 80%, #fffdfd 100%);
}
.dark-mode header.is-sticky{
	background-color: #111111;
}
.dark-mode header .dropdown-menu {
	background-color: #111827;
	border-color: #323949;
}

.dark-mode header nav .dropdown-toggle::after{
	content: url('data:image/svg+xml,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20width%3D%2225%22%20height%3D%2225%22%20viewBox%3D%220%200%2025%2025%22%20fill%3D%22none%22%3E%3Cmask%20id%3D%22mask0_516_31%22%20style%3D%22mask-type%3Aalpha%22%20maskUnits%3D%22userSpaceOnUse%22%20x%3D%220%22%20y%3D%220%22%20width%3D%2225%22%20height%3D%2225%22%3E%3Crect%20x%3D%220.611572%22%20y%3D%220.326416%22%20width%3D%2224%22%20height%3D%2224%22%20fill%3D%22%23fff%22%2F%3E%3C%2Fmask%3E%3Cg%20mask%3D%22url(%23mask0_516_31)%22%3E%3Cpath%20d%3D%22M12.6116%2015.7015L6.61157%209.70151L8.01157%208.30151L12.6116%2012.9015L17.2116%208.30151L18.6116%209.70151L12.6116%2015.7015Z%22%20fill%3D%22%23fff%22%2F%3E%3C%2Fg%3E%3C%2Fsvg%3E');
}
.dark-mode #menu-change-lng a img{
	filter: brightness(0) saturate(100%) invert(89%) sepia(100%) saturate(0%) hue-rotate(21deg) brightness(103%) contrast(101%);
}
.dark-mode .content,
.dark-mode .inner-heading .page-title .breadcrumb-item,
.dark-mode .title,
.dark-mode header .lg-change li a,
.dark-mode header ul.navbar-nav li a,
.dark-mode .banner-section .banner-text h2,
.dark-mode .slider-section .content h3,
.dark-mode .services-sec .core-service .core-service-list .core-service-box h4,
.dark-mode .contactpage-sec .cont-box a,
.dark-mode .contactpage-sec .cont-box p, 
.dark-mode .values-sec .values-con .values-con-list .values-con-box p,
.dark-mode .values-sec .values-con .values-con-list .values-con-box a,
.dark-mode .contactpage-sec .cont-box a, 
.dark-mode .testimonial-sec .logo,
.dark-mode .owl-carousel .owl-nav button.owl-prev,
.dark-mode .owl-carousel .owl-nav .owl-next{
	 color: #ffffff;
}
.dark-mode .services-sec .core-service .core-service-list .core-service-box p,
.dark-mode p{
	color: #cacaca;
}
.dark-mode .customer-sec .customer-logo img{
	opacity: 1;
}
.dark-mode .services-sec .core-service .core-service-list .core-service-box,
.dark-mode .values-sec .values-con .values-con-list .values-con-box { background: #1F2937;}
.dark-mode .testimonial-box { background: #111827;}
.dark-mode .customer-sec { background-color: #111827;}
.dark-mode .slider-banner {
    background-color: #08181f;
}
.dark-mode .body-shadow::before,
.dark-mode .body-shadow::after{
	background:none;
}
.dark-mode .testimonial-sec .testimonial-box{
	background-color :#1F2937;
}
.dark-mode .contactpage-sec .cont-box p{
	color: #08181f;
}
.dark-mode .testimonial-sec .position { color: #fff;}
.dark-mode .counter-section{
	background-image: url(https://www.tmspl.com/wp-content/uploads/2025/10/counter-1-1.png);
	position: relative;
	background-position: center;
}
.dark-mode footer {
  background-image: url("https://www.tmspl.com/wp-content/uploads/2025/10/image-footer.png");
}
.dark-mode footer h3 
.dark-mode footer ul li a,
.dark-mode footer h3,
.dark-mode footer .latest-posts .pots-info .post-content a.post-name,
.dark-mode .blog-by a,
.dark-mode footer .latest-posts .pots-info .post-content .blog-by,
.dark-mode .get-quote h5{ 
	color: #ffffff;
}
/* ================== inner Page Dark-Mode CSS ===================*/

.dark-mode .inner-heading {
background-image: url(https://www.tmspl.com/wp-content/uploads/2025/10/innerbg-1.png);
background-position: bottom;
position: relative;
}
.dark-mode .counter-section::after{
	opacity: 0.5;
}
.dark-mode .inner-heading .page-title h1,
.dark-mode .contact-sec .contact-box h2{
	color: #fff;
}
.dark-mode  .counter-section ul li .counter-box .counter-icon{
	    background-color: #1F2937;
}
.dark-mode .client-sec .about-content .values-box ul li,
.dark-mode .content-sty1 .box-content,
.dark-mode .teams-sec .teams-list,
.dark-mode .pro-info,
.dark-mode .card-box .card,
.dark-mode .get-quote,
.dark-mode .job-list ul li .jobinfo, .vacancies-detail .about-content,
.dark-mode .contactpage-sec .cont-box,
.dark-mode .blog-sec .blog-box .blog-content,
.dark-mode .blog-sec .blog-box .blog-img,
.dark-mode .blog-sec .blog-box .blog-content .blog-title,
.dark-mode .blog-sec .blog-box,
.dark-mode .contact-sec .contact-box 
{
	background-color: #1F2937;
}

.dark-mode .client-sec .about-content .values-box ul li h5,
.dark-mode .content-sty1 .box-content p, 
.dark-mode .teams-sec .teams-list .team-info h3, 
.dark-mode .pro-info h5,
.dark-mode .pro-info ul li,
.dark-mode .dark-mode .title,
.dark-mode .dark-mode .title,
.dark-mode .content-sty2 .con-list li h2,
.dark-mode .about-sec .about-content ul li,
.dark-mode .card-box .card .card-info h2,
.dark-mode .pro-info h5,
.dark-mode .pro-info .product-content,
.dark-mode ol,
.dark-mode .industries-sec .industries-list ul li a,
.dark-mode .job-list ul li .jobinfo h4,
.dark-mode .contactpage-sec .cont-box h4,
.dark-mode .contactpage-sec .cont-box p,
.dark-mode .cont-form h5,
.dark-mode .cont-form h2,
.dark-mode .blog-sec .blog-box .blog-content .blog-title {
	color: #fff;}
.dark-mode .content-sty2 {
	background-color: #111827;
}
.dark-mode .blog-sec .blog-box .blog-footer{
	background-image: url(https://www.tmspl.com/wp-content/uploads/2025/10/blog-bg-1.png);
	display: flex;
	justify-content: space-between;
	align-items: center;
	padding: 15px;
}
.dark-mode form .form-control{
	background-color: #252525;
	border-color: #08181F;
}
.dark-mode .card-box .card .card-icon img{
    filter: brightness(0) saturate(100%) invert(100%) sepia(0%) saturate(7488%) hue-rotate(250deg) brightness(118%) contrast(103%);
}

.dark-mode header ul.navbar-nav .mega-menu li a {
    border-bottom: 1px solid #1f2937;
}

.dark-mode footer .content-se{
	    background: #102b0c;
}
/* =========================================================== End Dark-Mode CSS ==========================================================*/

